import request from '@/utils/request'

// 查询功能模块列表
export function listModule(query) {
  return request({
    url: '/generator/module/list',
    method: 'get',
    params: query
  })
}

// 查询功能模块详细
export function getModule(moduleId) {
  return request({
    url: '/generator/module/' + moduleId,
    method: 'get'
  })
}

// 新增功能模块
export function addModule(data) {
  return request({
    url: '/generator/module',
    method: 'post',
    data: data
  })
}

// 修改功能模块
export function updateModule(data) {
  return request({
    url: '/generator/module',
    method: 'put',
    data: data
  })
}

// 删除功能模块
export function delModule(moduleId) {
  return request({
    url: '/generator/module/' + moduleId,
    method: 'delete'
  })
}
